Index: /palm/trunk/SOURCE/sor.f90
===================================================================
--- /palm/trunk/SOURCE/sor.f90	(revision 4590)
+++ /palm/trunk/SOURCE/sor.f90	(revision 4591)
@@ -1,33 +1,37 @@
 !> @file sor.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
-! use statement for exchange horiz added
-! 
+! File re-formatted to follow the PALM coding standard
+!
+!
+! 4457 2020-03-11 14:20:43Z raasch
+! Use statement for exchange horiz added
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Rename variables in mesoscale-offline nesting mode
@@ -36,28 +40,51 @@
 ! Initial revision
 !
-!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Solve the Poisson-equation with the SOR-Red/Black-scheme.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE sor( d, ddzu, ddzw, p )
 
-    USE arrays_3d,                                                             &
-        ONLY:  rho_air, rho_air_zw
-
-    USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,                 &
-               bc_dirichlet_s, bc_lr_cyc, bc_ns_cyc, bc_radiation_l,           &
-               bc_radiation_n, bc_radiation_r, bc_radiation_s, ibc_p_b,        &
-               ibc_p_t, n_sor, omega_sor
-
-    USE exchange_horiz_mod,                                                    &
+    USE arrays_3d,                                                                                 &
+        ONLY:  rho_air,                                                                            &
+               rho_air_zw
+
+    USE control_parameters,                                                                        &
+        ONLY:  bc_dirichlet_l,                                                                     &
+               bc_dirichlet_n,                                                                     &
+               bc_dirichlet_r,                                                                     &
+               bc_dirichlet_s,                                                                     &
+               bc_lr_cyc,                                                                          &
+               bc_ns_cyc,                                                                          &
+               bc_radiation_l,                                                                     &
+               bc_radiation_n,                                                                     &
+               bc_radiation_r,                                                                     &
+               bc_radiation_s,                                                                     &
+               ibc_p_b,                                                                            &
+               ibc_p_t,                                                                            &
+               n_sor,                                                                              &
+               omega_sor
+
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE grid_variables,                                                        &
-        ONLY:  ddx2, ddy2
-
-    USE indices,                                                               &
-        ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nz, nzb, nzt
+    USE grid_variables,                                                                            &
+        ONLY:  ddx2,                                                                               &
+               ddy2
+
+    USE indices,                                                                                   &
+        ONLY:  nbgp,                                                                               &
+               nxl,                                                                                &
+               nxlg,                                                                               &
+               nxr,                                                                                &
+               nxrg,                                                                               &
+               nyn,                                                                                &
+               nyng,                                                                               &
+               nys,                                                                                &
+               nysg,                                                                               &
+               nz,                                                                                 &
+               nzb,                                                                                &
+               nzt
 
     USE kinds
@@ -65,22 +92,22 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i              !<
-    INTEGER(iwp) ::  j              !<
-    INTEGER(iwp) ::  k              !<
-    INTEGER(iwp) ::  n              !<
-    INTEGER(iwp) ::  nxl1           !<
-    INTEGER(iwp) ::  nxl2           !<
-    INTEGER(iwp) ::  nys1           !<
-    INTEGER(iwp) ::  nys2           !<
-
-    REAL(wp)     ::  ddzu(1:nz+1)   !<
-    REAL(wp)     ::  ddzw(1:nzt+1)  !<
-
-    REAL(wp)     ::  d(nzb+1:nzt,nys:nyn,nxl:nxr)      !<
-    REAL(wp)     ::  p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  !<
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f1         !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f2         !<
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f3         !<
+    INTEGER(iwp) ::  i     !<
+    INTEGER(iwp) ::  j     !<
+    INTEGER(iwp) ::  k     !<
+    INTEGER(iwp) ::  n     !<
+    INTEGER(iwp) ::  nxl1  !<
+    INTEGER(iwp) ::  nxl2  !<
+    INTEGER(iwp) ::  nys1  !<
+    INTEGER(iwp) ::  nys2  !<
+
+    REAL(wp) ::  ddzu(1:nz+1)   !<
+    REAL(wp) ::  ddzw(1:nzt+1)  !<
+
+    REAL(wp) ::  d(nzb+1:nzt,nys:nyn,nxl:nxr)      !<
+    REAL(wp) ::  p(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  !<
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f1  !<
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f2  !<
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  f3  !<
 
     ALLOCATE( f1(1:nz), f2(1:nz), f3(1:nz) )
@@ -118,11 +145,11 @@
           DO  j = nys2, nyn, 2
              DO  k = nzb+1, nzt
-                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (            &
-                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +   &
-                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +   &
-                           f2(k) * p(k+1,j,i)                              +   &
-                           f3(k) * p(k-1,j,i)                              -   &
-                           d(k,j,i)                                        -   &
-                           f1(k) * p(k,j,i)           )
+                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (                                        &
+                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +                       &
+                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +                       &
+                           f2(k) * p(k+1,j,i)                              +                       &
+                           f3(k) * p(k-1,j,i)                              -                       &
+                           d(k,j,i)                                        -                       &
+                           f1(k) * p(k,j,i)               )
              ENDDO
           ENDDO
@@ -132,11 +159,11 @@
           DO  j = nys1, nyn, 2
              DO  k = nzb+1, nzt
-                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (                    &
-                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +   &
-                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +   &
-                           f2(k) * p(k+1,j,i)                              +   &
-                           f3(k) * p(k-1,j,i)                              -   &
-                           d(k,j,i)                                        -   &
-                           f1(k) * p(k,j,i)           )
+                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (                                        &
+                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +                       &
+                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +                       &
+                           f2(k) * p(k+1,j,i)                              +                       &
+                           f3(k) * p(k-1,j,i)                              -                       &
+                           d(k,j,i)                                        -                       &
+                           f1(k) * p(k,j,i)               )
              ENDDO
           ENDDO
@@ -146,4 +173,5 @@
 !--    Exchange of boundary values for p.
        CALL exchange_horiz( p, nbgp )
+
 
 !
@@ -163,11 +191,11 @@
           DO  j = nys1, nyn, 2
              DO  k = nzb+1, nzt
-                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (            &
-                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +   &
-                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +   &
-                           f2(k) * p(k+1,j,i)                              +   &
-                           f3(k) * p(k-1,j,i)                              -   &
-                           d(k,j,i)                                        -   &
-                           f1(k) * p(k,j,i)           )
+                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (                                        &
+                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +                       &
+                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +                       &
+                           f2(k) * p(k+1,j,i)                              +                       &
+                           f3(k) * p(k-1,j,i)                              -                       &
+                           d(k,j,i)                                        -                       &
+                           f1(k) * p(k,j,i)               )
              ENDDO
           ENDDO
@@ -177,11 +205,11 @@
           DO  j = nys2, nyn, 2
              DO  k = nzb+1, nzt
-                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (            &
-                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +   &
-                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +   &
-                           f2(k) * p(k+1,j,i)                              +   &
-                           f3(k) * p(k-1,j,i)                              -   &
-                           d(k,j,i)                                        -   &
-                           f1(k) * p(k,j,i)           )
+                p(k,j,i) = p(k,j,i) + omega_sor / f1(k) * (                                        &
+                           rho_air(k) * ddx2 * ( p(k,j,i+1) + p(k,j,i-1) ) +                       &
+                           rho_air(k) * ddy2 * ( p(k,j+1,i) + p(k,j-1,i) ) +                       &
+                           f2(k) * p(k+1,j,i)                              +                       &
+                           f3(k) * p(k-1,j,i)                              -                       &
+                           d(k,j,i)                                        -                       &
+                           f1(k) * p(k,j,i)               )
              ENDDO
           ENDDO
@@ -195,7 +223,7 @@
 !--    Boundary conditions top/bottom.
 !--    Bottom boundary
-       IF ( ibc_p_b == 1 )  THEN       !       Neumann
+       IF ( ibc_p_b == 1 )  THEN       ! Neumann
           p(nzb,:,:) = p(nzb+1,:,:)
-       ELSE                            !       Dirichlet
+       ELSE                            ! Dirichlet
           p(nzb,:,:) = 0.0_wp
        ENDIF
@@ -203,7 +231,7 @@
 !
 !--    Top boundary
-       IF ( ibc_p_t == 1 )  THEN                 !  Neumann
+       IF ( ibc_p_t == 1 )  THEN       ! Neumann
           p(nzt+1,:,:) = p(nzt,:,:)
-       ELSE                      !  Dirichlet
+       ELSE                            ! Dirichlet
           p(nzt+1,:,:) = 0.0_wp
        ENDIF
